Update Release Group By Id

puthttps://app.fossa.com/api/project_group/{groupId}

Update a given release group

Path parameters

groupIdintegerrequired

Request body (required) · application/json

titlestring
licensingPolicyIdinteger
securityPolicyIdinteger
qualityPolicyIdinteger
publicOnPortalboolean
reportCustomTextstring

Responses

200OK
idinteger
titlestring
organizationIdinteger
policyIdnull | integer
securityPolicyIdnull | integer
qualityPolicyIdnull | integer
publicOnPortalboolean
reportCustomTextnull | string
createdAtstring <date-time>
updatedAtstring <date-time>
403Forbidden
messagestring

Message describing the error

404Not found
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

PUT https://app.fossa.com/api/project_group/1
curl --request PUT \  --url 'https://app.fossa.com/api/project_group/1' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN' \  --header 'content-type: application/json' \  --data '{  "title": "Updated Release Group",  "licensingPolicyId": 1,  "securityPolicyId": 2,  "qualityPolicyId": 3,  "publicOnPortal": true,  "reportCustomText": null}'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.

Path params

groupIdintegerrequired
application/json